×

Discussion Board

Results 1 to 10 of 10

Hybrid View

  1. #1
    Registered User
    Join Date
    Nov 2007
    Posts
    11

    QT on s60 3rd edition feature pack 1 - help needed

    I read there is a way, with help of smart installer we can run QT application on nokia s60 3rd edition Feature pack 1.

    I am developing a QT application. When I tried to build a sis package, I made sure the smart installer is enabled.


    I am using QT Creator (Qt Creator 2.2.0 : Based on Qt 4.7.4 (32 bit))->Projects->Symbian Devices->Run (Self-signed certificate), and checked Create Smart Installer Package.
    Is there any installation step missed out?
    On running it generates two sis package, test.sis and test_installer.sis

    On installing the test_installer.sis these are the messages I get in order
    'Application not compatible with phone. Continue anyway?' when I continue->
    'Nokia Smart Installation' pop's up, on continue->
    'Preparing installation message' ->
    'Reverting changes' ->
    'Device not supported message'

    What is the problem. The device I used to install is Nokia e51 (s60 3rd Feature Pack 1), with Software Installation set All, Online Certificate check set Off.

    Is there any comprehensive list of the QT supported devices (irrespective of device manufacturer).


    Thanks in advance.

  2. #2
    Nokia Developer Champion
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,192

    Re: QT on s60 3rd edition feature pack 1 - help needed

    Which Qt version are you using in your application? Note that Qt 4.7 is not supported on older S60 phones, for those devices you need to use Qt 4.6 (which means no QML / Qt Quick support)
    http://www.developer.nokia.com/Commu...date-available

    Hartti

  3. #3
    Registered User
    Join Date
    Jul 2011
    Posts
    6

    Re: QT on s60 3rd edition feature pack 1 - help needed

    gowrishg,
    please post if you have resolved the issue because i have a similar problem

  4. #4
    Registered User
    Join Date
    Jun 2011
    Posts
    11

    Re: QT on s60 3rd edition feature pack 1 - help needed

    Hi ,

    I have a similar problem as to how to use the Qt SDK 1.1 for the 3rd edition devices ?

  5. #5
    Nokia Developer Champion
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,192

    Re: QT on s60 3rd edition feature pack 1 - help needed

    Please use Qt 4.6 to build your application. You can use Qt SDK 1.1 for it though, but you cannot use any Qt 4.7 features (including Qt Quick)

    Hartti

  6. #6
    Registered User
    Join Date
    Jun 2011
    Posts
    11

    Re: QT on s60 3rd edition feature pack 1 - help needed

    hi ,

    Presently I am using Qt SDK 1.1 for Symbian^3 & 5th Edition phones without using Qt 4.7 features (like Qt Quick / QML) , so my question is that the same code should work for the 3rd edition device ?
    But I am getting an installation error when I try to install the App in a 3rd edition device (i.e E71) . I am building the App for Symbian^1 present in the Qt SDK .

    Please tell me what can be wrong ?

  7. #7
    Regular Contributor
    Join Date
    Sep 2010
    Posts
    65

    Re: QT on s60 3rd edition feature pack 1 - help needed

    I too have this problem now!! Not able to generate and run application (with smart installer) for S60 3rd edition phones!

    Our apps are up n running for Symbian^1 and Symbian^3 phones, but things are getting delayed coz of the confusion regarding these Non-Touch phones!! Please can some experts guide us on this aspect?

  8. #8
    Nokia Developer Champion
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,192

    Re: QT on s60 3rd edition feature pack 1 - help needed

    As said above. Use Qt 4.6 for those phones.
    http://developer.qt.nokia.com/wiki/Support_for_Symbian

    Hartti

  9. #9
    Super Contributor
    Join Date
    Oct 2008
    Location
    INDIA
    Posts
    2,326

    Re: QT on s60 3rd edition feature pack 1 - help needed

    Quote Originally Posted by RS3 View Post
    I too have this problem now!! Not able to generate and run application (with smart installer) for S60 3rd edition phones!

    Our apps are up n running for Symbian^1 and Symbian^3 phones, but things are getting delayed coz of the confusion regarding these Non-Touch phones!! Please can some experts guide us on this aspect?
    Check this : Nokia Smart Installer for Symbian

    What build and what version of qt and mobility required to generate sis using smart installer.

    regards,
    rahul

  10. #10
    Registered User
    Join Date
    Jun 2011
    Posts
    11

    Re: QT on s60 3rd edition feature pack 1 - help needed

    will smart installer work for Qt 4.6.3 for 3.x phones ? presently I am trying the Qt 4.7.3 smart installer on 3.x phones ..

    Please help me in this .

Similar Threads

  1. persistent storage on S60 3rd Edition, Feature Pack 1
    By stefanod in forum Mobile Java General
    Replies: 0
    Last Post: 2010-11-21, 12:07
  2. S60 3rd Edition, Feature Pack 2
    By rishabht in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2010-04-07, 06:54
  3. S60 3rd Edition Feature Pack 2
    By e71user1 in forum General Development Questions
    Replies: 2
    Last Post: 2009-05-16, 19:29
  4. S60 3rd Edition, Feature Pack 2
    By felixksp in forum Symbian
    Replies: 4
    Last Post: 2007-09-14, 17:38
  5. Replies: 3
    Last Post: 2007-07-19, 09:25

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •